aboutsummaryrefslogtreecommitdiffstats
path: root/main/guile
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2017-10-19 08:43:11 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-10-19 08:48:32 +0000
commitc3ed83e4b928a629aa9a898cf823fcdefb1631ce (patch)
treed1e4015fd5ce7b508452675a23bd922dc599ef90 /main/guile
parent1fcb8f13319a1aea3c4912000dd2f194413d3eda (diff)
downloadaports-c3ed83e4b928a629aa9a898cf823fcdefb1631ce.tar.gz
aports-c3ed83e4b928a629aa9a898cf823fcdefb1631ce.tar.bz2
aports-c3ed83e4b928a629aa9a898cf823fcdefb1631ce.tar.xz
main/guile: downgrade to 2.0.14
Diffstat (limited to 'main/guile')
-rw-r--r--main/guile/0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch2
-rw-r--r--main/guile/APKBUILD24
-rw-r--r--main/guile/stacksize.patch28
3 files changed, 15 insertions, 39 deletions
diff --git a/main/guile/0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch b/main/guile/0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
index 6004812728..cbe194dfd5 100644
--- a/main/guile/0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
+++ b/main/guile/0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
@@ -14,7 +14,7 @@ diff --git a/test-suite/tests/threads.test b/test-suite/tests/threads.test
index 8178120..7d180de 100644
--- a/test-suite/tests/threads.test
+++ b/test-suite/tests/threads.test
-@@ -389,8 +389,10 @@
+@@ -412,8 +412,10 @@
(gc) (gc)
(let ((m (g)))
diff --git a/main/guile/APKBUILD b/main/guile/APKBUILD
index 1846e8aa41..8990341252 100644
--- a/main/guile/APKBUILD
+++ b/main/guile/APKBUILD
@@ -1,19 +1,24 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+
+# NOTE: Please do not push changes to this package without requesting a test run
+# across all supported architectures. Untested changes to this package may be
+# reverted at any time, at the core team's discretion.
+
pkgname=guile
-pkgver=2.2.2
-pkgrel=2
+pkgver=2.0.14
+pkgrel=0
pkgdesc="Guile is a portable, embeddable Scheme implementation written in C"
url="http://www.gnu.org/software/guile/"
arch="all"
license="GPL"
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
makedepends="gmp-dev libtool ncurses-dev texinfo libunistring-dev libffi-dev
- gc-dev bash"
+ gc-dev"
depends=
depends_dev="guile gc-dev"
+install=
source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
- stacksize.patch
"
builddir="$srcdir"/$pkgname-$pkgver
@@ -26,16 +31,15 @@ build() {
--prefix=/usr \
--disable-error-on-warning \
--disable-static \
- --with-threads
- make
+ || return 1
+ make || return 1
}
package() {
cd "$builddir"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/charset.alias
}
-sha512sums="dfc4a413faa8d7cd111beb3673e52be3d95c5c408c6796c874cdd01c095a05bc266856c45067aef3b931889349980d0985dde269aabde18f21659d02f5c2344d guile-2.2.2.tar.gz
-54a9fe0fa2ea83da7ae61f96612e3e653ec80f60ab41d1995dc44bd05c7ff68cc4fab36a655e8835c4ab1cf0966765a299ef2d73cb9f69d3ef955e6aeaa8062d 0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
-01fdb59b3580cab538e68956b431e8246775fe43a1771e252859c1ca231a7c228abd39c50e64b332dc45325debe8f1b23680a6f81994f30b1fa7615f8a323dfc stacksize.patch"
+sha512sums="d69c9bdf589fedcc227f3203012f6ed11c327cef3a0147d8e016fe276abecdb4272625efe1d0c7aa68219fe8f29bbced44089a4b479e4eafe01976c6b2b83633 guile-2.0.14.tar.gz
+b1c309cc07830ff1741ef88857f8099187b449580e8d57862886abc367ef1accc5a35636d81eee09247f13d3a751cdc8909fdea05368d3d509bd2039ce06d078 0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
diff --git a/main/guile/stacksize.patch b/main/guile/stacksize.patch
deleted file mode 100644
index a6a58d385c..0000000000
--- a/main/guile/stacksize.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-diff --git a/libguile/finalizers.c b/libguile/finalizers.c
-index c5d69e8..f8d78d8 100644
---- a/libguile/finalizers.c
-+++ b/libguile/finalizers.c
-@@ -246,11 +246,19 @@ start_finalization_thread (void)
- to block on any lock that scm_spawn_thread might want to take,
- and we don't want to inherit the dynamic state (fluids) of the
- caller. */
-- if (pthread_create (&finalization_thread, NULL,
-- run_finalization_thread, NULL))
-- perror ("error creating finalization thread");
-+ pthread_attr_t attr;
-+ if (pthread_attr_init(&attr))
-+ perror ("pthread_attr_init");
- else
-- finalization_thread_is_running = 1;
-+ {
-+ if (pthread_attr_setstacksize(&attr, 512 * 1024) == 0 &&
-+ pthread_create (&finalization_thread, &attr,
-+ run_finalization_thread, NULL) == 0)
-+ finalization_thread_is_running = 1;
-+ else
-+ perror ("error creating finalization thread");
-+ pthread_attr_destroy(&attr);
-+ }
- }
- scm_i_pthread_mutex_unlock (&finalization_thread_lock);
- }